Dr. Werner Fink 2011-06-01 09:33:25 +00:00 committed by Git OBS Bridge
parent 535e03ea8c
commit 6d0b8c630a
2 changed files with 17 additions and 0 deletions

View File

@ -1,3 +1,9 @@
-------------------------------------------------------------------
Wed Jun 1 11:23:03 CEST 2011 - werner@suse.de
- Correct timetype.sh ... nevertheless typeset -T does not work
with array types as this requires ksh93u
-------------------------------------------------------------------
Tue May 24 18:34:36 CEST 2011 - werner@suse.de

View File

@ -246,6 +246,17 @@
done > /dev/null
EOF
} 2>> /dev/null
--- src/cmd/ksh93/tests/timetype.sh
+++ src/cmd/ksh93/tests/timetype.sh 2011-05-25 07:45:35.763926377 +0000
@@ -58,7 +58,7 @@
[[ ${tt[0]} == *+00:00 ]] || err_exit 'tt[0] is not yesterday'
[[ ${tt[1]} == *+00:00 ]] || err_exit 'tt[1] is not today'
[[ ${tt[2]} == *+00:00 ]] || err_exit 'tt[2] is not tomorrow'
-[[ ${tt[3]} == *+14:00 ]] || err_exit 'tt[0] is not 2pm'
+[[ ${tt[3]} == *+14:00 ]] || err_exit 'tt[3] is not 2pm'
unset tt
Time_t tt=('2008-08-11+00:00:00,yesterday' '2008-08-11+00:00:00,today' '2008-08-11+00:00:00,tomorrow')
tt[3]=9am
--- src/lib/libast/disc/memfatal.c
+++ src/lib/libast/disc/memfatal.c 2009-07-09 13:30:39.000000000 +0000
@@ -72,7 +72,7 @@ memfatal(void)